@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root {
    --bg: #75199e;
    --bg-secondary: #fff;
    --text: #fff;
    --text-secondary: #959595;
    --text-accent: #56258e;

    --footer-bg: #d7d7d7;
    --footer-text: #000;

    --modal-btn: #14b8a5;
    --err: #ef4444;
    --glow-shadow: 0 0 40px rgba(51, 255, 231, 0.4);
}

body {
    font-family: "Inter", sans-serif;
    font-size: 16px;
    color: var(--text);
    background-color: var(--bg);
    background: url(../images/bg.jpg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

img {
    display: block;
    width: 100%;
}

.container {
    max-width: 1200px;
    padding: 0 16px;
    margin: 0 auto;
}
/* ###### */
.brg {
    cursor: pointer;
    width: 30px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
    display: none;
}
.brg div {
    width: 100%;
    height: 2px;
    border-radius: 4px;
    background-color: var(--text);
}
.header {
    background-color: var(--bg);
    width: 100%;
}
.header .container {
    padding: 16px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 16px;
}
.logo img {
    display: block;
    width: 100px;
}
.header ul {
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 16px;
}
.header li a {
    text-decoration: none;
    font-size: 16px;
    color: inherit;
    transition: filter 0.2s ease-out;
    &:hover {
        text-decoration: underline;
    }
}
@media (max-width: 768px) {
    .brg {
        display: flex;
    }
    .header nav {
        display: none;
    }
}
/* ###### */
.footer {
    background-color: var(--footer-bg);
    color: var(--footer-text);
    margin-top: auto;
}
.footer .container {
    padding: 48px 16px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 32px;
    justify-items: center;
}
.footer-info h2 {
    font-size: 24px;
    color: transparent;
    background: var(--text-accent);
    background-clip: text;
    margin-bottom: 16px;
}
.footer-info p {
    font-size: 14px;
    margin-bottom: 16px;
}
.footer-nav h3 {
    font-size: 16px;
    color: var(--footer-text);
    margin-bottom: 16px;
}
.footer-nav ul  {
    list-style: none;
    display: grid;
    gap: 8px;
}
.footer-nav svg {
    display: inline-block;
    width: 16px;
    height: 16px;
}
.footer-nav a {
    display: flex;
    align-items: center;
    gap: 8px;
    color: inherit;
    text-decoration: none;
    font-size: 14px;
    transition: color 0.2s ease-out;

    &:hover {
        color: var(--text-accent);
    }
}
.footer-rights {
    font-size: 12px;
    grid-column: span 3;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    margin-top: 64px;
    gap: 16px;
}
.footer-rights a {
    color: inherit;
}
.footer-rights p:nth-child(2) {
    justify-self: end;
}
.footer-rights-bot {
    grid-column: span 2;
    text-align: center;
}
@media (max-width: 768px) {
    .footer .container {
        grid-template-columns: 1fr;
        gap: 32px;
        justify-items: start;
    }
    .footer-rights {
        margin-top: 32px;
        grid-column: span 1;
        grid-template-columns: 1fr;
        text-align: center;
    }
    .footer-rights-bot {
        grid-column: span 1;
    }
    .footer-rights p:nth-child(2) {
        justify-self: center;
    }
}
/* ###### */
/* ###### */
.nav {
    position: fixed;
    z-index: 100;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 60px 16px;
    background-color: var(--bg);
    transform: translateX(-100%);
    transition: transform 0.4s ease-out;
}
.nav.open {
    transform: translateX(0);
}
.nav-close {
    cursor: pointer;
    position: absolute;
    top: 10px;
    right: 10px;
    width: 40px;
    height: 40px;
    font-size: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    line-height: 1;
}
.nav ul {
    list-style: none;
    display: grid;
    gap: 20px;
    text-align: center;
}
.nav a {
    color: inherit;
    text-decoration: none;
}
/* ###### */
.text h1,
.text h2,
.text h3,
.text h4 {
    font-family: "Inter", sans-serif;
}
.text .container {
    padding: 120px 16px 40px;
}
.text h1 {
    font-size: 32px;
    margin-bottom: 16px;
}
.text h2,
.text h3 {
    font-size: 22px;
    margin-bottom: 8px;
    margin-top: 32px;
}
.text h3 {
    font-size: 18px;
}
.text p {
    font-size: 16px;
}
.text p + p {
    margin-bottom: 16px;
}
.text ul {
    list-style-position: inside;
}
.text a {
    color: inherit;
}
/* ###### */
.hero {
    padding: 40px 15px;
    max-width: 800px;
    margin: 0 auto;
    text-align: center;
}
.hero .logo {
    display: block;
    width: 200px;
    margin: 0 auto 20px;
}
.hero h1 {
    font-size: 28px;
    margin-bottom: 12px;
}
.hero p {
    max-width: 500px;
    margin: 0 auto 20px;
    font-size: 20px;
}
.hero-wrap {
    overflow: hidden;
    max-width: 600px;
    margin: 0 auto;
}
@keyframes slide {
    5% {
        transform: translateX(-100%);
    }
    25% {
        transform: translateX(-100%);
    }
    30% {
        transform: translateX(-200%);
    }
    50% {
        transform: translateX(-200%);
    }
    55% {
        transform: translateX(-100%);
    }
    75% {
        transform: translateX(-100%);
    }
    80% {
        transform: translateX(0);
    }
}
.hero-line {
    display: flex;
    transition: transform 0.4s ease-out;
    transform: translateX(0);
    animation: slide 9s linear 1s infinite;
}
.hero-line div {
    flex-grow: 1;
    flex-shrink: 0;
    width: 100%;
}
/* ###### */
.how {
    padding: 20px 15px;
    text-align: center;
}
.how h2 {
    font-size: 32px;
    margin-bottom: 20px;
    text-align: center;
}
.how-wrap {
    max-width: 700px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}
.how-wrap div {
    padding: 20px;
    border-radius: 10px;
    background-color: var(--bg-secondary);
}

.how-wrap div:last-child {
    grid-column: span 2;
}

.how-wrap img {
    width: auto;
    max-height: 110px;
    margin: 0 auto;
}
.how h3 {
    font-size: 20px;
    color: var(--text-accent);
    margin: 10px 0;
}
.how p {
    font-size: 16px;
    color: var(--text-secondary);
}
@media (max-width: 768px) {
    .how-wrap {
        grid-template-columns: 1fr;
    }
    .how-wrap div:last-child {
        grid-column: span 1;
    }
}
/* ###### */
.prize {
    padding: 20px 15px;
    text-align: center;
}
.prize h2 {
    font-size: 32px;
    margin-bottom: 20px;
    text-align: center;
}
.prize-item {
    padding: 20px;
    border-radius: 10px;
    background-color: var(--bg-secondary);
    max-width: 700px;
    margin: 0 auto;
}
.prize-item img {
    width: auto;
    max-height: 110px;
    margin: 0 auto;
}
.prize-item h3 {
    font-size: 20px;
    color: var(--text-accent);
    margin: 10px 0;
}
.prize-item p {
    font-size: 16px;
    color: var(--text-secondary);
}

/* ##### */
.modal {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 200;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    padding: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    display: none;
}
.modal.open {
    display: flex;
}
.modal-wrap {
    padding: 40px 24px 24px;
    background-color: var(--bg);
    border-radius: 8px;
    border: 1px solid var(--bg-accent);
    max-width: 450px;
    margin: 0 auto;
    position: relative;
}
.modal h2 {
    display: flex;
    align-items: center;
    font-size: 18px;
    gap: 12px;
    margin-bottom: 16px;
}
.modal-close {
    position: absolute;
    top: 5px;
    right: 5px;
    width: 40px;
    height: 40px;
    font-size: 40px;
    line-height: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}
.modal h2 svg {
    flex-shrink: 0;
    width: 30px;
    height: 30px;
    color: var(--err);
}
.modal h3 {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-bottom: 16px;
    font-size: 14px;
    color: var(--text-secondary);
}
.modal svg {
    width: 16px;
    height: 16px;
    color: var(--err);
}
.modal p {
    font-size: 14px;
    color: var(--text-secondary);
}
.modal button,
.modal a  {
    text-decoration: none;
    text-align: center;
    cursor: pointer;
    display: block;
    width: 100%;
    border: none;
    border-radius: 8px;
    padding: 12px 24px;
    margin-top: 16px;
    background-color: var(--modal-btn);
    color: var(--text);
    font-size: 14px;

    transition: box-shadow 0.2s ease-out;
    &:hover {
        box-shadow: var(--glow-shadow);
    }
}
/* #### */